﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Porovnani
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void Zobraz (string text)
        {
            MessageBox.Show(text, "INFORMACE", MessageBoxButton.OK, MessageBoxImage.Information);
        }

        private void BtnPorovnejAB_Click(object sender, RoutedEventArgs e)
        {
            int a = int.Parse(TxtA.Text);
            int b = int.Parse(TxtB.Text);

            if (a > b)
            {
                Zobraz("A je větší než B");
            }
            else
            {
                if (a == b) Zobraz("A se rovná B");
                else
                    Zobraz("B je větší než A");
            }


        }

        private int VetsiZeTri (int a, int b, int c)
        {
            if (a>b)
            { // a je kandidat na to byt nejvetsi, b uz to nebude
                if (a > c) return a;
                else return c;
            }
            else
            {  // a<b - a uz to neni, b je kandidat
                if (b > c) return b;
                else return c;
            }
        }

        private void CtiABC (out int a, out int b, out int c)
        {
             a = int.Parse(TxtA.Text);
             b = int.Parse(TxtB.Text);
             c = int.Parse(TxtC.Text);
        }

        private void BtnPorovnej_Click(object sender, RoutedEventArgs e)
        {         
            CtiABC(out int a, out int b, out int c);
            int max = VetsiZeTri(a, b, c);

            Zobraz("Největší je " + max);
        }

        private int VetsiZeTri2(int a, int b, int c)
        {
            int max = b;
            if (a > b) max = a;

            //int max2 = (a > b) ? a : b;

            if (max > c)
                return max;
            else
                return c;
        }
        private void BtnPorovnej2_Click(object sender, RoutedEventArgs e)
        {
            CtiABC(out int a, out int b, out int c);
            Zobraz("Největší je " + VetsiZeTri2(a, b, c));
        }

        private void BtnPorovnej3_Click(object sender, RoutedEventArgs e)
        {
            CtiABC(out int a, out int b, out int c);

            if (a > b && a > c) Zobraz(a.ToString());
            if (b > a && b > c) Zobraz(b.ToString());
            if (c > a && c > b) Zobraz(c.ToString());    
        }


        private int Vetsi (int a, int b)
        {
            if (a > b)
                return a;
            else
                return b;
        }

        private void BtnPorovnej4_Click(object sender, RoutedEventArgs e)
        {
            CtiABC(out int a, out int b, out int c);

            //int max = Vetsi(a, b);
            //int supermax = Vetsi(max, c);

            //Zobraz(supermax.ToString());

            Zobraz(Vetsi(Vetsi(a, b), c).ToString());

        }

        //  private int Vetsi2(int a, int b) => (a > b) ? a : b;

    }
}
